Skip to main content

Accounts

Accounts APIs retrieve and manage customer account information. An account is the contract between a customer and the financial institution (checking, savings, loan, line of credit, etc.).

End-user benefits

  • Check account status and balance in real time.
  • Use account lists to drive intra-FI transfer recipient flows.

Integration capabilities

  • Retrieve accounts with ODATA $filter by id, nickname, type, account number, and category (DEPOSIT, LOAN, INVESTMENT, TIERED_LOAN, CROSS_USER_ACCOUNT).
  • Returns cross accounts by default; control detail with viewName and related query options.
  • Business Banking: use institutionCustomerId to look up accounts for a specific location (see Retrieve Customer Profile API for more details).

Response field filtering (viewname.external)

Responses are filtered to an allow-list from viewname.external. Omit query parameter viewName on list or single-account retrieval to return every top-level property in that list.

Default allow-list

id, institutionUserId, institutionCustomerId, institutionId, description, accountNumber, nickName, type, category, currentBalance, availableBalance, status, allowedActions, routingNumber, interestRate, interestYearToDate, micrNumber, maturityDate, term, escrowBalance, currentPrincipalBalance, nextPaymentAmount, nextPaymentDate, payOffAmount, calculatedPayOffAmount, minimumPayment, lineOfCreditLimit, loanOriginationDate, pastPrincipalDueDate, lastPrincipalPaymentAmount, originalLoanAmount, tpvReference, lastStatementBalance, primaryHolderName.

Scopes

ScopeDescription
accounts:readRead accounts

Required headers

HeaderDescription
AuthorizationBearer token (V2 authentication)
transactionIdUnique identifier for request tracking

Error codes (ACC_*)

CodeMessageHTTP Status Code
ACC_00002Given password is invalid401
ACC_00005Error processing filter expression400
ACC_00011Validation Error400
ACC_00012Data not found404
ACC_00013Validation Error occurred500
ACC_00014The CIF number is required, but was not found500
ACC_00015InstitutionId provided is invalid or blank400
ACC_00016InstitutionUserType provided is invalid or blank400
ACC_00017InstitutionCustomerId provided is invalid or blank400
ACC_00018InstitutionId from Query param and JWT do not match400
ACC_00019InstitutionUserType from Query param and JWT do not match400
ACC_00020InstitutionCustomerId from Query param and JWT do not match400
ACC_00021UserId provided is invalid or blank400
ACC_00022UserId from Query param and JWT do not match400
ACC_00023InstitutionUserId provided is invalid or blank400
ACC_00024InstitutionUserId from Query param and JWT do not match400
ACC_00025InstitutionUserRole provided is invalid or blank400
ACC_00026InstitutionUserRole from Query param and JWT do not match400
ACC_00101User not found404
ACC_00300Utility DB is not available503
ACC_00408BB User is missing User Id in the request400
ACC_00409Invalid User Type Header for Business Banking User400
ACC_00410A location is required for BB users400
ACC_00500Requested service or feature is switched off403
ACC_00501Couchbase System is unavailable503
ACC_00600ServiceType parameter is invalid. Valid values are IB/BB400
ACC_00601Invalid JWT token401
ACC_00602Unauthorized access403
ACC_00702Subuser Id is empty400
ACC_00704InstitutionId is invalid or its incorrectly configured500
ACC_00705Member number is not valid.400
ACC_99988Server can only handle JSON request. Other media types are not supported400
ACC_99989RequestBody size exceeds limit.400
ACC_99990Client error400
ACC_99991Request callingAppId header is too long400
ACC_99992One or more request query params are invalid or not provided400
ACC_99993Server cannot handle this requestVaries
ACC_99994Invalid query param400
ACC_99995Request should only contain printable ASCII characters400
ACC_99996Request header is too long400
ACC_99997Request transactionId header is too long400
ACC_99998Request is missing a transactionId header400
ACC_99999Error in Accounts Service500

Endpoints